### Method

# Ide DebugManager supports_language

#### Declaration

    gboolean
    ide_debug_manager_supports_language (
      IdeDebugManager* self,
      const gchar* language_id
    )

#### Description

This checks to see if there is a debugger that can possibly support a given language id. This is used to determine if space for breakpoints should be reserved in the gutter of source code editor.

This function accepts `NULL` for `language_id` out of convenience and will return `NULL` in this case.

Available since: | 3.32

#### Parameters

`language_id` | `const gchar*`
| `GtkSourceView` based language identifier or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the language is supported; otherwise `FALSE`.